Bug 184210 - Review Request: nc6
Review Request: nc6
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fleming
Fedora Package Reviews List
http://people.redhat.com/rvokal/nc6/n...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-03-07 06:05 EST by Radek Vokal
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-11 05:23:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radek Vokal 2006-03-07 06:05:10 EST
Spec Name or Url: nc6.spec
SRPM Name or Url: http://people.redhat.com/rvokal/nc6/nc6-1.0-1.src.rpm
Description: 

netcat6 is an IPv6-enabled clone of the original netcat (nc) utility.

"Netcat is a simple Unix utility which reads and writes data across
network connections.  It is designed to be a reliable "back-end" tool
that can be used directly or easily driven by other programs and
scripts.  At the same time, it is a feature-rich network debugging and
exploration tool, since it can create almost any kind of connection you
would need and has several interesting built-in capabilities.  Netcat,
or "nc" as the actual program is named, should have been supplied long
ago as another one of those cryptic but standard Unix tools."
Comment 1 Michael Fleming 2006-03-07 08:04:12 EST
I've had a crack at this package myself locally, I'll give it a review and let
you know how it goes.
Comment 2 Michael H. Warfield 2006-03-07 10:25:12 EST
Time out...

Isn't netcat/nc 1.82fc4.1 in updates-released already IPv6 enabled?  It has a -6
option and I've used it against IPv6 services.  This appears to be a redundant
effort.  I was under the impression that the netcat6 stuff had all been merged
back into netcat.  Is there something that nc6 does that the latest nc is missing?
Comment 3 Radek Vokal 2006-03-07 11:33:25 EST
Well, the question is which package is more recent and living. The current
netcat packages is port from OpenBSD. Every time they bump a new release I have
to rewrite the code a bit 'cos OpenBSD has some additional functionality which
linux kernel doesn't have. My intention was to propose nc6 package and maybe in
FC6 time switch from OpenBSD nc to nc6. Also I've ported some functions from nc6
to nc, but I can't honestly say which package is better.
Comment 4 Michael Fleming 2006-03-07 17:45:05 EST
NEEDSWORK

Review for release 1:
* RPM name is OK
* Source nc6-1.0.tar.bz2 is the same as upstream
* This is the latest version
* Builds fine in mock
* Runs OK

Needs work:
* BuildRoot should be %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
  (wiki: PackagingGuidelines#BuildRoot)
* The BuildRoot must be cleaned at the beginning of %install
* rpmlint of nc6: Nonstandard group (Try Applications/Internet or
Applications/System?)
Comment 5 Radek Vokal 2006-03-08 08:02:58 EST
Ok, changes done. nc6 is in group Applications/Internet now. 

http://people.redhat.com/rvokal/nc6/nc6-1.0-2.src.rpm

Comment 6 Michael Fleming 2006-03-11 05:23:25 EST
Reviewed the new SRPM - looks much better, all reported issues fixed.

APPROVED.

Tip: toss a %{?dist} tag in Release to make upgrades between Core releases a
little easier for users and packagers alike. See
http://www.fedoraproject.org/wiki/DistTag.

Certainly not a big issue, but it's very convenient. :-)


Note You need to log in before you can comment on or make changes to this bug.